libmagic1_5.30-1+deb9u2_i386.deb


Advertisement

Description

libmagic1 - Recognize the type of data in a file using "magic" numbers - library

Property Value
Distribution Debian 9 (Stretch)
Repository Debian Main i386
Package filename libmagic1_5.30-1+deb9u2_i386.deb
Package name libmagic1
Package version 5.30
Package release 1+deb9u2
Package architecture i386
Package type deb
Category libs role::shared-lib
Homepage http://www.darwinsys.com/file/
License -
Maintainer Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
Download size 114.07 KB
Installed size 229.00 KB
This library can be used to classify files according to magic number
tests. It implements the core functionality of the file command.

Alternatives

Package Version Architecture Repository
libmagic1_5.30-1+deb9u2_amd64.deb 5.30 amd64 Debian Main
libmagic1 - - -

Requires

Name Value
libc6 >= 2.15
libmagic-mgc = 1:5.30-1+deb9u2
zlib1g >= 1:1.1.4

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libmagic1_5.30-1+deb9u2_i386.deb
Source Package file

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libmagic1 deb package:
    # sudo apt-get install libmagic1

Files

Path
/etc/magic
/etc/magic.mime
/usr/lib/i386-linux-gnu/libmagic.so.1
/usr/lib/i386-linux-gnu/libmagic.so.1.0.0
/usr/share/bug/libmagic1/control
/usr/share/bug/libmagic1/presubj
/usr/share/doc/libmagic1/changelog.Debian.gz
/usr/share/doc/libmagic1/changelog.gz
/usr/share/doc/libmagic1/copyright
/usr/share/man/man5/magic.5.gz
/usr/share/misc/magic

Changelog

2018-06-11 - Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
file (1:5.30-1+deb9u2) stable; urgency=high
* Avoid reading past the end of buffer. Closes: #901351
[CVE-2018-10360]
2017-09-01 - Salvatore Bonaccorso <carnil@debian.org>
file (1:5.30-1+deb9u1) stretch-security; urgency=high
* Non-maintainer upload by the Security Team.
* CVE-2017-1000249: stack based buffer overflow via specially crafted .notes
section in an ELF binary
2017-04-29 - Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
file (1:5.30-1) unstable; urgency=high
* New upstream version 5.30
* Cherry-pick commits that fix issues found by oss-fuzz
* Revert new features introduced since 1:5.29-3
2017-01-26 - Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
file (1:5.29-3) unstable; urgency=medium
* Restore full local.support-local-definitions-in-etc-magic patch.
Closes: #852476
* Include all upstream commits since the 5.29 release
* Improve detection of Flash data. Closes: #838860
2016-12-13 - Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
file (1:5.29-2) unstable; urgency=medium
* Include all upstream commits since the 5.29 release. Addresses:
- Detect compiled YARA rules. Closes: #833872
- Detect old Word for Mac documents. Closes: #842117
* Disable detection of Algol68 files, way too many false positives
2016-10-25 - Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
file (1:5.29-1) unstable; urgency=medium
* New upstream version 5.29. Addresses (in order of appearance):
- "no read permission" if read from empty pipe. Closes: #508963
- Mistakes hungarian text as dos executables. Closes: #641012
- Does not recognize some GPG key public rings. Closes: #729286
- Show more information for MySQL files. Closes: #751826
- Linux kernel version string truncated. Closes: #756949
- Document file's '-d' option. Closes: #764462
- Detect JPEG-XR. Closes: #771303
- Detect Material exchange container format (mxf). Closes: #782744
- Strengthen detection of Embedded OpenType (EOT). Closes: #784572
- Mistakes some text as bitmap. Closes: #799352
- Dectect swp files from nano, vim, and kate. Closes: #803219
- Mistakes some SVG files as HTML. Closes: #829199
* Fix FTCBFS: Remove stage1 profile in favour of a proper arch/indep
split. Thanks Helmut Grohne. Closes: #841030
2016-07-21 - Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
file (1:5.28-4) unstable; urgency=low
* Ship the compiled magic file in a separate package so libmagic1 is
finally multi-arch compliant. Thanks Jakub Wilk for the final
impetus and suggestions. Closes: #670006 (take two)
* Declare compliance with Debian policy 3.9.8
2016-07-17 - Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
file (1:5.28-3) unstable; urgency=low
* Packaging cleanup, no code changes
- No longer ship file-dbg, use -dbgsym instead
- Remove cruft: lintian override, obsolete substvars, explicit
usage of xz
- Re-word package descriptions
2016-06-30 - Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
file (1:5.28-2) unstable; urgency=high
* Enable full hardening build
* Cherry-pick commits since 5.28 release:
- Avoid "can't break line" warnings from lintian
- Don't copy NULL
- Avoid double encoding with python3. Closes: #828833
2016-06-27 - Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
file (1:5.28-1) unstable; urgency=medium
* New upstream version 5.28

See Also

Package Description
libmagick++-6-headers_6.9.7.4+dfsg-11+deb9u7_all.deb object-oriented C++ interface to ImageMagick - header files
libmagick++-6.q16-7_6.9.7.4+dfsg-11+deb9u7_i386.deb C++ interface to ImageMagick -- quantum depth Q16
libmagick++-6.q16-dev_6.9.7.4+dfsg-11+deb9u7_i386.deb C++ interface to ImageMagick - development files (Q16)
libmagick++-6.q16hdri-7_6.9.7.4+dfsg-11+deb9u7_i386.deb C++ interface to ImageMagick -- quantum depth Q16HDRI
libmagick++-6.q16hdri-dev_6.9.7.4+dfsg-11+deb9u7_i386.deb C++ interface to ImageMagick - development files (Q16HDRI)
libmagick++-dev_6.9.7.4+dfsg-11+deb9u7_all.deb object-oriented C++ interface to ImageMagick -- dummy package
libmagickcore-6-arch-config_6.9.7.4+dfsg-11+deb9u7_i386.deb low-level image manipulation library - architecture header files
libmagickcore-6-headers_6.9.7.4+dfsg-11+deb9u7_all.deb low-level image manipulation library - header files
libmagickcore-6.q16-3-extra_6.9.7.4+dfsg-11+deb9u7_i386.deb low-level image manipulation library - extra codecs (Q16)
libmagickcore-6.q16-3_6.9.7.4+dfsg-11+deb9u7_i386.deb low-level image manipulation library -- quantum depth Q16
libmagickcore-6.q16-dev_6.9.7.4+dfsg-11+deb9u7_i386.deb low-level image manipulation library - development files (Q16)
libmagickcore-6.q16hdri-3-extra_6.9.7.4+dfsg-11+deb9u7_i386.deb low-level image manipulation library - extra codecs (Q16HDRI)
libmagickcore-6.q16hdri-3_6.9.7.4+dfsg-11+deb9u7_i386.deb low-level image manipulation library -- quantum depth Q16HDRI
libmagickcore-6.q16hdri-dev_6.9.7.4+dfsg-11+deb9u7_i386.deb low-level image manipulation library - development files (Q16HDRI)
libmagickcore-dev_6.9.7.4+dfsg-11+deb9u7_all.deb low-level image manipulation library -- dummy package
Advertisement
Advertisement